package ec.com.smx.frameworkv2.service;

import javax.annotation.Resource;
import javax.ejb.Local;
import javax.ejb.Remote;
import javax.ejb.SessionContext;
import javax.ejb.Singleton;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.transaction.SystemException;
import javax.transaction.UserTransaction;

import ec.com.smx.corpv2.exception.CorporativoException;
import ec.com.smx.frameworkv2.dto.UserDTO;

/**
 * Session Bean implementation class UsuarioService
 */
@Singleton(name="UsuarioServiceImpl")
@Remote(UsuarioServiceRemote.class)
@Local(UsuarioServiceLocal.class)
@TransactionAttribute(TransactionAttributeType.MANDATORY)
public class UsuarioServiceImpl implements UsuarioServiceRemote, UsuarioServiceLocal {
	@PersistenceContext(unitName="prjFrameworkV2")
	private EntityManager entityManager;
	@Resource
	private SessionContext sessionContext;
    /**
     * Default constructor. 
     */
    public UsuarioServiceImpl() {
    }

	@Override
	public UserDTO crearUsuario(UserDTO usuarioDTO) {
		entityManager.persist(usuarioDTO);
			//userTransaction.commit();
		//entityManager.flush();
		return usuarioDTO;
	}

}
